
set fish_greeting #supress fish_greeting

zoxide init fish | source
# pyenv init - | source

alias config='git --git-dir=$HOME/.dotfiles --work-tree=$HOME'
alias da='dragon-drop --and-exit'
alias dat='dragon-drop -t --and-exit'
alias dp='doas pacman'
alias p='pacman'
alias vim='nvim'
alias em="emacs -nw":
alias ls="exa"
alias ll="exa -al"
alias la="exa -a"
alias grep="grep --color=auto"
alias egrep="egrep --color=auto"
alias df="df -h"
alias du="du -h"
alias cat="bat"

function nem 
    nohup emacs $argv &> /tmp/nohup.em.out & disown
end 
 
alias nemacs="nohup emacs"
alias rust-musl-builder='docker run --rm -it -v "$(pwd)":/home/rust/src messense/rust-musl-cross:armv7-musleabihf'
#alias ledger="ledger -f $HOME/Documents/ledger/ledger.ledger"

set EDITOR "nvim"
set _JAVA_AWT_WM_NONREPARENTING "1"
set JAVA_HOME /usr/lib/jvm/java-8-openjdk
set XDG_CONFIG_HOME "$HOME/.config"
set -g FZF_DEFAULT_COMMAND 'rg --files --follow --ignore-vcs --hidden -g "!{node_modules/*,.git/*}"'
export FZF_DEFAULT_COMMAND='rg --files --follow --ignore-vcs --hidden -g "!{node_modules/*,.git/*}"'
export EDITOR="nvim"

#set -u LD_LIBRARY_PATH $LD_LIBRARY_PATH:"/home/andr3/.build/godot_openvr/demo/addons/godot-openvr/bin/x11/libgodot_openvr.so":"/home/andr3/.steam/steam/steamapps/common/SteamVR/bin/"
#export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"/home/andr3/.build/godot_openvr/demo/addons/godot-openvr/bin/x11/":"/home/andr3/.steam/steam/steamapps/common/SteamVR/bin/:/home/andr3/.build/tensor/TensorRT-8.5.2.2/lib/"


#export PATH=$PATH:$ANDROID_HOME/tools
#export PATH=$PATH:$ANDROID_HOME/tools/bin
#export PATH=$PATH:$ANDROID_HOME/platform-tools
export NIXPKGS_ALLOW_UNFREE=1

function ssh 
    if [ $TERM  = "xterm-kitty" ]
        kitty +kitten ssh $argv
    else 
        /run/current-system/sw/bin/ssh $argv
    end
end

function configGit34
    git config --local user.email "andr3h3nriqu3s@gmail.com"
    git config --local user.name "agh"
end

function configGitOther
    git config --local user.email "andr3h3nriqu3s@gmail.com"
    git config --local user.name "Andre Henriques"
end

function configGitUni
    git config --local user.email "ag01598@surrey.ac.uk"
    git config --local user.name "Goncalves Henriques, Andre (UG - Computer Science)"
end

# grim and slurp
function sshot
    grim -g "$(slurp)" - | wl-copy
end

source ~/.config/fish/completions/bun.fish
source ~/.config/fish/completions/nvm.fish
source ~/.config/fish/other.fish

# pnpm
set -gx PNPM_HOME "/home/andr3/.local/share/pnpm"
set -gx PATH "$PNPM_HOME" $PATH
# pnpm end
# tabtab source for packages
# uninstall by removing these lines
[ -f ~/.config/tabtab/fish/__tabtab.fish ]; and . ~/.config/tabtab/fish/__tabtab.fish; or true

# nix
alias nshell "nix-shell --run fish"
